import React from "react";
import type { IRecordLockingIdentity, IRecordLockingLockRecord } from "../../types";
import type { IncomingGenericData } from "@webiny/app-websockets";
import { CmsContentEntry, CmsModel } from "@webiny/app-headless-cms/types";
export interface IContentEntryLockerProps {
    entry: CmsContentEntry;
    model: CmsModel;
    onEntryUnlocked: () => void;
    onDisablePrompt: (flag: boolean) => void;
    children: React.ReactElement;
}
export interface IKickOutWebsocketsMessage extends IncomingGenericData {
    data: {
        record: IRecordLockingLockRecord;
        user: IRecordLockingIdentity;
    };
}
export declare const ContentEntryLocker: ({ onEntryUnlocked, onDisablePrompt, entry, model, children }: IContentEntryLockerProps) => React.JSX.Element;
