import { IRecordLockingError, IRecordLockingLockRecord, IRecordLockingMeta } from "../../types";
import { IRecordLockingListLockRecordsParams } from "../abstractions/IRecordLockingListLockRecords";
export interface IRecordLockingListLockedRecordsVariablesWhere {
    id_in?: string[];
}
export type IRecordLockingListLockedRecordsVariables = IRecordLockingListLockRecordsParams;
export interface IRecordLockingListLockedRecordsResponse {
    recordLocking: {
        listLockRecords: {
            data: IRecordLockingLockRecord[] | null;
            error: IRecordLockingError | null;
            meta: IRecordLockingMeta | null;
        };
    };
}
export declare const createListLockRecords: () => import("graphql").DocumentNode;
export declare const LIST_LOCK_RECORDS: import("graphql").DocumentNode;
